Subject: Re: bug#72453: 29.4; "use-package" macro does not load all expected related files

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Aug 2024 11:14:33 +0300

merge 72453 72293
thanks

> From: John Wiegley <[email-masked]>
> Cc: Derek Upham <[email-masked]>,  [email-masked]
> Date: Sat, 03 Aug 2024 23:01:04 -0700
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> 
> >> Moving the "use-package" macro into the top-level "use-package" file should
> >> fix the problem. The "use-package" file explicitly loads the other files,
> >> which sets up all of the defaults.
> 
> > John, any comments or suggestions?
> 
> I didn’t write any of the :ensure logic, so I have no comments there, but the
> suggestion above sounds like a sound and harmless one to me.

Thanks, John.

Stefan, would you please handle this?  Moving use-package from
use-package-core.el to use-package.el would probably mean much more
massive load whenever the macro is used, and I wonder whether there's
a more light-weight solution.  If such a light-weight solution exists,
I think we should install it on the emacs-30 release branch, but if
the only reasonable solution is what the OP suggested, then I think it
should go to master.

Btw, I think this bug and bug#72293 are the same bug, so I'm merging
them.